%define Uname MgaRepo

Name: mgarepo
Version: 1.12.3
Release: 2%{?dist}
Summary: Tools for Mageia repository access and management
Group:   Development/Tools
# tarball needs to be created manually, since tags don't generate releases
# git clone git://git.mageia.org/software/build-system/mgarepo; cd mgarepo; git reset --hard %{version} && make dist
Source:  %{name}-%{version}.tar.xz
License: GPLv2+
URL: http://gitweb.mageia.org/software/build-system/mgarepo/
BuildRequires: python3-devel
Requires: subversion
Requires: openssh-clients
Requires: rpm-python3
Requires: python3-httplib2
Requires: wget
BuildArch: noarch

%description
Tools for Mageia repository access and management.

It is a fork of repsys :
<http://wiki.mandriva.com/en/Development/Packaging/Tools/repsys>

%package ldap
Group:   Development/Tools
Summary: Plugin for retrieving maintainer information from LDAP for mgarepo
Requires: %{name} = %{version}-%{release}
Requires: python3-ldap3

%description ldap
A mgarepo plugin that allows retrieving maintainer information shown in
changelogs from a LDAP server.

See mgarepo --help-plugin ldapusers for more information.


%prep
%setup -q

%build
%py3_build

%install
%py3_install

%files
%doc README.BINREPO CHANGES %{name}-example.conf
%attr(0644,-,-) %config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-ssh
%{_datadir}/%{name}
%{_mandir}/*/*
%{python3_sitelib}/%{Uname}
%exclude %{python3_sitelib}/%{Uname}/plugins/ldapusers.py*
%exclude %{python3_sitelib}/%{Uname}/plugins/__pycache__/__init__*
%exclude %{python3_sitelib}/%{Uname}/plugins/__pycache__/ldapusers*
%{python3_sitelib}/*.egg-info
%{_datadir}/bash-completion/completions/%{name}

%files ldap
%doc README.LDAP
%{python3_sitelib}/%{Uname}/plugins/ldapusers.py*
%{python3_sitelib}/%{Uname}/plugins/__pycache__/__init__*
%{python3_sitelib}/%{Uname}/plugins/__pycache__/ldapusers*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Jun 14 2016 Neal Gompa <ngompa13@gmail.com> - 1.12.3-1
- Update to 1.12.3

* Sat Feb 20 2016 Neal Gompa <ngompa13{%}gmail{*}com> - 1.11.9-1
- Update to 1.11.9
- Remove redundant actions in install section
- Add mgarepo-ldap subpackage since plugin has been ported

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 08 2016 Neal Gompa <ngompa13{%}gmail{*}com> - 1.11.6-1
- Update to 1.11.6 (switches to Python 3)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Nov 26 2011 Michael Scherer <misc@fedoraproject.org> 1.10.2-1
* Adapt to Fedora

* Thu Nov 24 2011 boklm <boklm> 1.10.2-1.mga2
+ Revision: 171653
- version 1.10.2
- add require on wget
- version 1.10.1
- fix require on python-httplib
- add require on httplib2
- add python-devel as build require
- version 1.10.0

* Tue Jul 12 2011 boklm <boklm> 1.9.11-1.mga2
+ Revision: 123440
- Version 1.9.11: add maintdb command

  + ahmad <ahmad>
    - Fix the URL tag

* Wed May 25 2011 boklm <boklm> 1.9.10-1.mga1
+ Revision: 100367
- version 1.9.10

  + misc <misc>
    - add source url
    - remove requires on python-devel ( should not be needed )
    - do not add version requires on mgarepo ( as all version should be ok )
    - fix missing defattr on ldap plugin ( rpmlint )

* Thu Mar 10 2011 misc <misc> 1.9.9-2.mga1
+ Revision: 67691
- fix License
- use newer and upstream python macros
- clean the spec by removing mention of old mandriva hack
- remove old python macros

* Sat Feb 26 2011 boklm <boklm> 1.9.9-1.mga1
+ Revision: 60148
- version 1.9.9

* Fri Jan 28 2011 boklm <boklm> 1.9.8-1.mga1
+ Revision: 42505
- version 1.9.8

* Thu Jan 27 2011 boklm <boklm> 1.9.7-1.mga1
+ Revision: 42188
- version 1.9.7

* Mon Jan 17 2011 blino <blino> 1.9.6-2.mga1
+ Revision: 20916
- rebuild with new python

* Thu Jan 13 2011 boklm <boklm> 1.9.6-1.mga1
+ Revision: 7984
- version 1.9.6

* Wed Jan 12 2011 blino <blino> 1.9.5-1.mga1
+ Revision: 6829
- install as mgarepo, not repsys
- do not conflict with repsys anymore
- 1.9.5

  + boklm <boklm>
    - mgarepo version 1.9.4
    - add conflict with repsys
    - cleaning
    - repsys package renamed to mgarepo
    - version 1.9.2

  + misc <misc>
    - remove rest of Mandriva reference

* Tue Jan 04 2011 boklm <boklm> 1:1.9.1-1mdv2010.0
+ Revision: 120
- version 1.9.1
- version 1.9
- add patch from blino to enable binrepo in create-srpm
- imported package repsys

